
Foreman - Bug #37231

Domain is not removed in the details page when the DNS is not configured/enabled in the installer

03/07/2024 08:13 AM - Matěj Mudra

Status: Closed   

Priority: Normal   

Assignee: Matěj Mudra   

Category: Host registration   

Target version:    

Difficulty: easy Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link: 2268383 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10014

  

Description

Steps to reproduce:

1. register host from which has non-default domain or which is from different infra, where satellite will know it as full-name

2. Add that domain to satellite, and check all hosts page which shows short-name

3. Then, navigate to Host Details page for it, and check full-name is used in names and breadcrumbs, domain is set none.

Associated revisions

Revision 19702927 - 03/27/2024 09:32 AM - Matěj Mudra 

Fixes #37231 - Handle incorrect domain setting display

History

#1 - 03/07/2024 08:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#2 - 03/27/2024 09:32 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/27/2024 10:00 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|19702927c6314bcbbd75434947bc63818a477210.
